//----------------------------------------------------------
//-------  Parameter-less SGA		            ------------
//-------  - Single SGA definitions				------------
//----------------------------------------------------------

# ifndef GENERATION_SGA_H
# define GENERATION_SGA_H

//------- Initializes population with a given index popId that impies the population size, crossover rate 
//------- and the tournament selection parameter.
//------- Returns 1 if the initialization went OK; otherwise returns 0.
int initPopulation(int *evals);

//------- Destroys population with given index popId
void destroyPopulation();

//------- Performs one generation with the population popId
void doGeneration(int *evals);

# endif